View Issue Details

IDProjectCategoryView StatusLast Update
0000292Bacula-Webbug-mysqlpublic2019-03-15 13:50
ReporterMichaelAssigned Todavide 
PriorityimmediateSeverityblockReproducibilityalways
Status assignedResolutionreopened 
Product Version8.2.1 
Target VersionFixed in Version 
Summary0000292: Problem of authenfication.
DescriptionHello Good morning here the problem I am facing.
Could you help me solve it?

Problem: could not find driver
Help
Have you tried to run the test page ?
Check the online documentation on Bacula-Web project site
Rebort a bug or suggest a new feature in the Bacula-Web's bugtracking tool
Debug
File: /var/www/html/bacula-web/core/db/cdb.class.php
Line: 40
Code: 0
Exception trace
File: /var/www/html/bacula-web/core/db/cdb.class.php on line 40 in function PDO->__construct
File: /var/www/html/bacula-web/core/app/cmodel.class.php on line 46 in function CDB->connect
File: /var/www/html/bacula-web/application/views/dashboard.view.php on line 32 in function CModel->__construct
File: /var/www/html/bacula-web/core/app/webapplication.class.php on line 136 in function DashboardView->prepare
File: /var/www/html/bacula-web/index.php on line 21 in function WebApplication->run
TagsNo tags attached.

Relationships

related to 0000293 closeddavide Update documentation for Fedora 

Activities

davide

2019-03-06 11:27

manager   ~0000964

Hello,

The error message below
Problem: could not find driver

Probably means you forgot to install PHP support for your database schema.
Please note that php-sqlite is required for user authentication.

You can run the check using Bacula-Web console
http://docs.bacula-web.org/en/v8.2.1/02_install/test.html?highlight=bwc#using-bacula-web-console

Hope it helps

Michael

2019-03-06 15:01

reporter   ~0000965

Thanks, for your answer David! But how do I install it on fedora may you give me the correct command

Sincerely yours,

Michael

2019-03-06 16:03

reporter   ~0000966

Here is the problem I have While installing php
[totalbacula@totalbacula ~]$ sudo dnf install php-mysql php-pdo php-gd php-mbstring
Bacula backports from rawhide 87 B/s | 374 B 00:04
Échec de la synchronisation du cache pour le dépôt « epel-bacula7 »
Ignoring repositories: epel-bacula7
Dernière vérification de l’expiration des métadonnées effectuée il y a 2:57:17 le mer. 06 mars 2019 13:04:50 WAT.
Aucune correspondance pour l’argument : php-mysql
Le paquet php-pdo-7.2.15-1.fc29.x86_64 est déjà installé.
Le paquet php-gd-7.2.15-1.fc29.x86_64 est déjà installé.
Le paquet php-mbstring-7.2.15-1.fc29.x86_64 est déjà installé.
Erreur : Impossible de trouver une correspondance
[totalbacula@totalbacula ~]$

davide

2019-03-06 16:47

manager   ~0000967

Hi,

I'll try to reproduce the problem on Fedora 29 and let you know once I've a solution.

Best regards

davide

2019-03-06 17:41

manager   ~0000968

Hello,

On Fedora 29, you don't need php-sqlite.
PHP SQLite support is included in php-pdo package.

I'll update the documentation for next release

Michael

2019-03-07 08:53

reporter   ~0000969

But how may I solve the issue now? How could I solve that problem it?

Michael

2019-03-07 09:21

reporter   ~0000970

I think here is the problem I have when I execute the command
sudo -u apache php bwc setupauth
It gives the answer:
Could not open input file: bwc

davide

2019-03-07 09:24

manager   ~0000971

Regarding http://bugs.bacula-web.org/view.php?id=292#c966
On Fedora 29, php-mysql package name is php-mysqlnd
# dnf search php-mysql
Last metadata expiration check: 0:13:37 ago on Thu Mar  7 08:06:22 2019.
============================================================================== 
Name Matched: php-mysql 
==============================================================================
php-mysqlnd.x86_64 : A module for PHP applications that use MySQL databases


The documentation will be updated for next release.

Hope it helps

davide

2019-03-07 09:25

manager   ~0000972

Regarding http://bugs.bacula-web.org/view.php?id=292#c970

Make sure you run this command from the root folder of your Bacula-Web installation.

Michael

2019-03-07 10:05

reporter   ~0000973

Thanks, Davide but I still have another problem
I am blocking at creating a new user the command is not working.
sudo -u apache php bwc setupauth
It gives the answer:
Could not open input file: bwc

Could you help?

Michael

2019-03-07 10:47

reporter   ~0000974

It has finally work. Thanks!

But I would like to know there no possibility of configuring it on the web interface?

davide

2019-03-07 12:35

manager   ~0000975

Hi Michael,

Happy to know it works now for you.

A web interface to perform the initial setup of Bacula-Web will come in the future.
Please be patient

Michael

2019-03-07 14:08

reporter   ~0000977

Ah, Ok! A warmly thanks for kindly attention.
I have share the delight of meeting you.

Thanks you one's more!
Regards,
Michael NANA

Michael

2019-03-07 15:22

reporter   ~0000978

Mr Davide may you help with the configuration script?

davide

2019-03-08 08:32

manager   ~0000979

You're welcome Michael, always happy to help people :)

Regarding help with the configuration script, this is a "core" feature which involve a lot of changes in the code.
So I'e prefer to handle this by myself.
But if you have good ideas to share with me, don't hesitate to send me an email.

davide

2019-03-09 08:32

manager   ~0000988

Problem solved, documentation will be updated according to 0000293

Michael

2019-03-12 12:41

reporter   ~0000996

Last edited: 2019-03-12 13:36

View 3 revisions

Could you possibly help with the configuration script thanks in advanced

And here is the message error.

[root@totalbacula totalbacula]# sudo bacula-dir -tc /etc/bacula/bacula-dir.conf
bacula-dir: ERROR TERMINATION at parse_conf.c:1118
Config error: Attempt to define second "Pool" resource named "File" is not permitted.

            : line 322, col 1 of file /etc/bacula/bacula-dir.conf
}

12-mars 12:41 bacula-dir: ERROR TERMINATION at parse_conf.c:1118
Config error: Attempt to define second "Pool" resource named "File" is not permitted.

            : line 322, col 1 of file /etc/bacula/bacula-dir.conf
}


I will share the delight of receiving your help.

Best regards,

davide

2019-03-12 13:40

manager   ~0000997

Hello,
I've uploaded your Bacula config without sensitive information.

bacula-config.conf (9,317 bytes)

davide

2019-03-12 13:42

manager   ~0000998

You cannot define 2 different pool with the same name (see excerpt of your configuration below).

Try to use a different name for each pool.

Hope it helps.

Pool {
  Name = File
  Pool Type = Backup
  Label Format = Local-
  Recycle = yes                       # Bacula can automatically recycle Volumes
  AutoPrune = yes                     # Prune expired volumes
  Volume Retention = 365 days         # one year
  Maximum Volume Bytes = 50G          # Limit Volume size to something reasonable
  Maximum Volumes = 100               # Limit number of Volumes in Pool
}

# File Pool definition
Pool {
  Name = File
  Pool Type = Backup
  Recycle = yes                       # Bacula can automatically recycle Volumes
  AutoPrune = yes                     # Prune expired volumes
  Volume Retention = 365 days         # one year
  Maximum Volume Bytes = 50G          # Limit Volume size to something reasonable
  Maximum Volumes = 100               # Limit number of Volumes in Pool
  Label Format = "Vol-"               # Auto label
}

Michael

2019-03-13 11:18

reporter   ~0000999

Here is the problem I am facing.
sudo vi /etc/bacula/bacula-dir.conf

Director { # define myself
  Name = bacula-dir
  DIRport = 9101 # where we listen for UA connections
  QueryFile = "/etc/bacula/query.sql"
  WorkingDirectory = "/var/spool/bacula"
  PidDirectory = "/var/run"
  Maximum Concurrent Jobs = 20
  Password = "MzEzOTNmNDM0ZTdiMTIyZWY5YWZjMzE0M" # Console password
  Messages = Daemon
  DirAddress = 127.0.0.1
}

JobDefs {
  Name = "DefaultJob"
  Type = Backup
  Level = Full
  Client = bacula-fd
  FileSet = "Full Set"
  Schedule = "WeeklyCycle"
  Storage = File
  Messages = Standard
  Pool = File
  SpoolAttributes = yes
  Priority = 10
  Write Bootstrap = "/var/spool/bacula/%c.bsr"
}


#
# Define the main nightly save backup job
# By default, this job will back up to disk in /tmp
Job {
  Name = "BackupLocalFiles"
  JobDefs = "DefaultJob"
}

#Job {
# Name = "BackupClient2"
# Client = bacula2-fd
# JobDefs = "DefaultJob"
#}

#Job {
# Name = "BackupClient1-to-Tape"
# JobDefs = "DefaultJob"
# Storage = LTO-4

# Spool Data = yes # Avoid shoe-shine
# Pool = Default
#}


# Backup the catalog database (after the nightly save)
Job {
  Name = "BackupCatalog"
  JobDefs = "DefaultJob"
  Level = Full
  FileSet="Catalog"
  Schedule = "WeeklyCycleAfterBackup"
  # This creates an ASCII copy of the catalog
  # Arguments to make_catalog_backup.pl are:
  # make_catalog_backup.pl <catalog-name>
  RunBeforeJob = "/usr/libexec/bacula/make_catalog_backup.pl MyCatalog"
  # This deletes the copy of the catalog
  RunAfterJob = "/usr/libexec/bacula/delete_catalog_backup"
  Write Bootstrap = "/var/spool/bacula/%n.bsr"
  Priority = 11 # run after main backup
}
#
# Standard Restore template, to be changed by Console program
# Only one such job is needed for all Jobs/Clients/Storage ...
#
Job {
  Name = "RestoreLocalFiles"
  Type = Restore
  Client= bacula-fd
  Storage = File
# The FileSet and Pool directives are not used by Restore Jobs
# but must not be removed
  FileSet="Full Set"
  Pool = File
  Messages = Standard
  Where = /bacula/restore
}


# List of files to be backed up
FileSet {
  Name = "Full Set"
  Include {
    Options {
      signature = MD5
      compression = GZIP
    }
#
# Put your list of files here, preceded by 'File =', one per line
# or include an external list with:
#
# File = <file-name
#
# Note: / backs up everything on the root partition.
# if you have other partitions such as /usr or /home
# you will probably want to add them too.
#
# By default this is defined to point to the Bacula binary
# directory to give a reasonable FileSet to backup to
# disk storage during initial testing.
#
    File = C:/
  }

#
# If you backup the root directory, the following two excluded
# files can be useful
  Exclude {
    File = /var/spool/bacula
    File = /tmp
    File = /proc
    File = /tmp
    File = /sys
    File = /.journal
    File = /.fsck
    File = /bacula
  }
}

#
# When to do the backups, full backup on first sunday of the month,
# differential (i.e. incremental since full) every other sunday,
# and incremental backups other days
Schedule {
  Name = "WeeklyCycle"
  Run = Full 1st sun at 23:05
  Run = Differential 2nd-5th sun at 23:05
  Run = Incremental mon-sat at 23:05
}
# This schedule does the catalog. It starts after the WeeklyCycle
Schedule {
  Name = "WeeklyCycleAfterBackup"
  Run = Full sun-sat at 23:10
}

# This is the backup of the catalog
FileSet {
  Name = "Catalog"
  Include {
    Options {
      signature = MD5
    }
    File = "/var/spool/bacula/bacula.sql"
  }
}

# Client (File Services) to backup
Client {
  Name = bacula-fd
  Address = 10.123.26.222
  FDPort = 9102
  Catalog = MyCatalog
# This schedule does the catalog. It starts after the WeeklyCycle
Schedule {
  Name = "WeeklyCycleAfterBackup"
  Run = Full sun-sat at 23:10
}

# This is the backup of the catalog
FileSet {
  Name = "Catalog"
  Include {
    Options {
      signature = MD5
    }
    File = "/var/spool/bacula/bacula.sql"
  }
}

# Client (File Services) to backup
Client {
  Name = bacula-fd
  Address = 10.123.26.222
  FDPort = 9102
  Catalog = MyCatalog
  Password = "NjgwMjU1ZTY4ODk3Yzk1NTgxZWVlNDY4N" # password for FileDaemon
  File Retention = 60 days # 60 days
  Job Retention = 6 months # six months
  AutoPrune = yes # Prune expired Jobs/Files
}

Storage {
  Name = File
# Do not use "localhost" here
  Address = totalbacula # N.B. Use a fully qualified name here
  SDPort = 9103
  Password = "OWZjODBiNWUxNThkNDEwZGRiYzYxYWZhZ"
  Device = FileChgr1
  Media Type = File
}

# Definition of file Virtual Autochanger device
Autochanger {
  Name = File1
# Do not use "localhost" here
  Address = totalbacula # N.B. Use a fully qualified name here
  SDPort = 9103
  Password = "OWZjODBiNWUxNThkNDEwZGRiYzYxYWZhZ"
  Device = FileChgr1
  Media Type = File1
  Maximum Concurrent Jobs = 10 # run up to 10 jobs a the same time
  Autochanger = File1 # point to ourself
}

# Definition of a second file Virtual Autochanger device
# Possibly pointing to a different disk drive
Autochanger {
  Name = File2
# Do not use "localhost" here
  Address = totalbacula # N.B. Use a fully qualified name here
  SDPort = 9103
  Password = "OWZjODBiNWUxNThkNDEwZGRiYzYxYWZhZ"
  Device = FileChgr2
  Media Type = File2
  Autochanger = File2 # point to ourself
  Maximum Concurrent Jobs = 10 # run up to 10 jobs a the same time
}

# Definition of LTO-4 tape Autochanger device
#Autochanger {
# Name = LTO-4
# Do not use "localhost" here
# Address = localhost # N.B. Use a fully qualified name here
# SDPort = 9103
# Password = "OWZjODBiNWUxNThkNDEwZGRiYzYxYWZhZ" # password for Storage daemon
# Device = LTO-4 # must be same as Device in Storage daemon
# Media Type = LTO-4 # must be same as MediaType in Storage daemon
# Autochanger = LTO-4 # enable for autochanger device
# Maximum Concurrent Jobs = 10
#}

# Generic catalog service
Catalog {
  Name = MyCatalog
  dbname = "bacula"; dbaddress = 127.0.0.1; dbuser = "bacula"; dbpassword = "M@nd@r1neN01r"
}

# Reasonable message delivery -- send most everything to email address
Messages {
  Name = Standard
#
# NOTE! If you send to two email or more email addresses, you will need
# to replace the %r in the from field (-f part) with a single valid
# email address in both the mailcommand and the operatorcommand.
# What this does is, it sets the email address that emails would display
# in the FROM field, which is by default the same email as they're being
# sent to. However, if you send email to more than one address, then
# you'll have to set the FROM address manually, to a single address.
# for example, a 'no-reply@mydomain.com', is better since that tends to
# tell (most) people that its coming from an automated source.

#
  mailcommand = "/usr/sbin/bsmtp -h localhost -f \"\(Bacula\) \<%r\>\" -s \"Bacula: %t %e of %c %l\" %r"
  operatorcommand = "/usr/sbin/bsmtp -h localhost -f \"\(Bacula\) \<%r\>\" -s \"Bacula: Intervention needed for %j\" %r"
  mail = michael.nana@total.cm = all, !skipped
  operator = root@localhost = mount
  console = all, !skipped, !saved
#
# WARNING! the following will create a file that you must cycle from
# time to time as it will grow indefinitely. However, it will
# also keep all your messages if they scroll off the console.
#
  append = "/var/log/bacula/bacula.log" = all, !skipped
  catalog = all
}


#
# Message delivery for daemon messages (no job).
Messages {
  Name = Daemon
  mailcommand = "/usr/sbin/bsmtp -h localhost -f \"\(Bacula\) \<%r\>\" -s \"Bacula daemon message\" %r"
  mail = root@localhost = all, !skipped
  console = all, !skipped, !saved
  append = "/var/log/bacula/bacula.log" = all, !skipped
}

# Default pool definition
Pool {
  Name = File
  Pool Type = Backup
  Label Format = Local-
  Recycle = yes # Bacula can automatically recycle Volumes
  AutoPrune = yes # Prune expired volumes
  Volume Retention = 365 days # one year
  Maximum Volume Bytes = 50G # Limit Volume size to something reasonable
  Maximum Volumes = 100 # Limit number of Volumes in Pool
}

# File Pool definition
Pool {
  Name = File2
  Pool Type = Backup
  Recycle = yes # Bacula can automatically recycle Volumes
  AutoPrune = yes # Prune expired volumes
  Volume Retention = 365 days # one year
  Maximum Volume Bytes = 50G # Limit Volume size to something reasonable
  Maximum Volumes = 100 # Limit number of Volumes in Pool
  Label Format = "Vol-" # Auto label
}


# Scratch pool definition
Pool {
  Name = Scratch
  Pool Type = Backup
}

# Restricted console used by tray-monitor to get the status of the director
#
Console {
  Name = bacula-mon
  Password = "@@MON_DIR_PASSWORD@@"
  CommandACL = status, .status
}

 sudo vi /etc/bacula/bacula-sd.conf

Storage { # definition of myself
  Name = File
  SDPort = 9103 # Director's port
  WorkingDirectory = "/var/spool/bacula"
  Pid Directory = "/var/run"
  Plugin Directory = "/usr/lib64/bacula"
  Maximum Concurrent Jobs = 20
  SDAddress = totalbacula
}

#
# List Directors who are permitted to contact Storage daemon
#
Director {
  Name = bacula-dir
  Password = "OWZjODBiNWUxNThkNDEwZGRiYzYxYWZhZ"
}

#
# Restricted Director, used by tray-monitor to get the
# status of the storage daemon # definition of myself

Director {
  Name = bacula-mon
  Password = "@@MON_SD_PASSWORD@@"
  Monitor = yes
}

#
# Note, for a list of additional Device templates please
# see the directory <bacula-source>/examples/devices
# Or follow the following link:
# http://www.bacula.org/git/cgit.cgi/bacula/tree/bacula/examples/devices?h=Branch-7.4
#

#
# Devices supported by this Storage daemon
# To connect, the Director's bacula-dir.conf must have the
# same Name and MediaType.
#

#
# Define a Virtual autochanger
#
Autochanger {
  Name = FileChgr1
  Device = FileChgr1-Dev1, FileChgr1-Dev2
  Changer Command = ""
  Changer Device = /dev/null
}

Device {
  Name = FileChgr1-Dev1
  Media Type = File
  Archive Device = /bacula/backup
  LabelMedia = yes; # lets Bacula label unlabeled media
  Random Access = Yes;
  AutomaticMount = yes; # when device opened, read it
  RemovableMedia = no;
  AlwaysOpen = no;
  Maximum Concurrent Jobs = 5
}

Device {
  Name = FileChgr1-Dev2
  Media Type = File
  Archive Device = /bacula/backup
  LabelMedia = yes; # lets Bacula label unlabeled media
  Random Access = Yes;
  AutomaticMount = yes; # when device opened, read it
  RemovableMedia = no;
  AlwaysOpen = no;
  Maximum Concurrent Jobs = 5
}
# Define a second Virtual autochanger
#
Autochanger {
  Name = FileChgr2
  Device = FileChgr2-Dev1, FileChgr2-Dev2
  Changer Command = ""
  Changer Device = /dev/null
}

Device {
  Name = FileChgr2-Dev1
  Media Type = File2
  Archive Device = /bacula/backup
  LabelMedia = yes; # lets Bacula label unlabeled media
  Random Access = Yes;
  AutomaticMount = yes; # when device opened, read it
  RemovableMedia = no;
  AlwaysOpen = no;
  Maximum Concurrent Jobs = 5
}

Device {
  Name = FileChgr2-Dev2
  Media Type = File2
  Archive Device = /bacula/backup
  LabelMedia = yes; # lets Bacula label unlabeled media
  Random Access = Yes;
  AutomaticMount = yes; # when device opened, read it
  RemovableMedia = no;
  AlwaysOpen = no;
  Maximum Concurrent Jobs = 5
}



#
# An autochanger device with two drives
#
#Autochanger {
# Name = Autochanger
# Device = Drive-1
# Device = Drive-2
# Changer Command = "/usr/libexec/bacula/mtx-changer %c %o %S %a %d"
# Changer Device = /dev/sg0
#}

#Device {
# Name = Drive-1 #
# Drive Index = 0
# Media Type = DLT-8000

#
# Send all messages to the Director,
# mount messages also are sent to the email address
#
Messages {
  Name = Standard
  director = bacula-dir = all
}

Connecting to Storage daemon File at totalbacula:9103 ...

davide

2019-03-13 16:20

manager   ~0001000

I don't understand, what's the problem ...

What's the error message ? What are you trying to do / command to run ?

Michael

2019-03-13 17:53

reporter   ~0001001

Connecting to Storage daemon File at 127.0.0.1:9103 ...
Sending label command for Volume "Vol9" Slot 0 ...
3000 OK label. VolBytes=212 VolABytes=0 VolType=1 Volume="Vol9" Device="FileChgr1-Dev1" (/bacula/backup)
Catalog record for Volume "Vol9", Slot 0 successfully created.
Requesting to mount FileChgr1 ...
3906 File device ""FileChgr1-Dev1" (/bacula/backup)" is always mounted.
*run
A job name must be specified.
The defined Job resources are:
     1: BackupLocalFiles
     2: BackupCatalog
     3: RestoreLocalFiles
Select Job resource (1-3): 1
Run Backup job
JobName: BackupLocalFiles
Level: Incremental
Client: bacula-fd
FileSet: Full Set
Pool: File (From Job resource)
Storage: File (From Job resource)
When: 2019-03-13 17:26:51
Priority: 10
OK to run? (yes/mod/no): yes
Job queued. JobId=29
You have messages.
*messages
13-mars 17:26 bacula-dir JobId 29: No prior Full backup Job record found.
13-mars 17:26 bacula-dir JobId 29: No prior or suitable Full backup found in catalog. Doing FULL backup.
13-mars 17:26 bacula-dir JobId 29: Start Backup JobId 29, Job=BackupLocalFiles.2019-03-13_17.26.55_15
13-mars 17:26 bacula-dir JobId 29: Using Device "FileChgr1-Dev2" to write.
13-mars 17:27 bacula-dir JobId 29: Fatal error: Unable to authenticate with File daemon at "10.123.26.222:9102". Possible causes:
Passwords or names not the same or
Maximum Concurrent Jobs exceeded on the FD or
FD networking messed up (restart daemon).
For help, please see: http://www.bacula.org/rel-manual/en/problems/Bacula_Frequently_Asked_Que.html
13-mars 17:27 bacula-dir JobId 29: Warning: Unexpected Client Job message: 2999 Authentication failed.

13-mars 17:27 bacula-dir JobId 29: Fatal error: No Job status returned from FD.
13-mars 17:27 bacula-dir JobId 29: Error: Bacula bacula-dir 9.2.1 (12Aug18):
  Build OS: x86_64-redhat-linux-gnu redhat Nine)
  JobId: 29
  Job: BackupLocalFiles.2019-03-13_17.26.55_15
  Backup Level: Full (upgraded from Incremental)
  Client: "bacula-fd" 9.2.1 (12Aug18) x86_64-redhat-linux-gnu,redhat,Nine)
  FileSet: "Full Set" 2019-03-12 17:34:21
  Pool: "File" (From Job resource)
  Catalog: "MyCatalog" (From Client resource)
  Storage: "File" (From Job resource)
  Scheduled time: 13-mars-2019 17:26:51
  Start time: 13-mars-2019 17:26:57
  End time: 13-mars-2019 17:27:02
  Elapsed time: 5 secs
  Priority: 10
  FD Files Written: 0
  SD Files Written: 0
  FD Bytes Written: 0 (0 B)
  SD Bytes Written: 0 (0 B)
  Rate: 0.0 KB/s
  Software Compression: None
  Comm Line Compression: None
  Snapshot/VSS: no
  Encryption: no
  Accurate: no
  Volume name(s):
  Volume Session Id: 7
  Volume Session Time: 1552486191
  Last Volume Bytes: 211 (211 B)
  Non-fatal FD errors: 1
  SD Errors: 0
  FD termination status: Error
  SD termination status: Waiting on FD
  Termination: *** Backup Error ***

Could someone help please?

Michael

2019-03-13 17:54

reporter   ~0001002

Connecting to Storage daemon File at 127.0.0.1:9103 ...
Sending label command for Volume "Vol9" Slot 0 ...
3000 OK label. VolBytes=212 VolABytes=0 VolType=1 Volume="Vol9" Device="FileChgr1-Dev1" (/bacula/backup)
Catalog record for Volume "Vol9", Slot 0 successfully created.
Requesting to mount FileChgr1 ...
3906 File device ""FileChgr1-Dev1" (/bacula/backup)" is always mounted.
*run
A job name must be specified.
The defined Job resources are:
     1: BackupLocalFiles
     2: BackupCatalog
     3: RestoreLocalFiles
Select Job resource (1-3): 1
Run Backup job
JobName: BackupLocalFiles
Level: Incremental
Client: bacula-fd
FileSet: Full Set
Pool: File (From Job resource)
Storage: File (From Job resource)
When: 2019-03-13 17:26:51
Priority: 10
OK to run? (yes/mod/no): yes
Job queued. JobId=29
You have messages.
*messages
13-mars 17:26 bacula-dir JobId 29: No prior Full backup Job record found.
13-mars 17:26 bacula-dir JobId 29: No prior or suitable Full backup found in catalog. Doing FULL backup.
13-mars 17:26 bacula-dir JobId 29: Start Backup JobId 29, Job=BackupLocalFiles.2019-03-13_17.26.55_15
13-mars 17:26 bacula-dir JobId 29: Using Device "FileChgr1-Dev2" to write.
13-mars 17:27 bacula-dir JobId 29: Fatal error: Unable to authenticate with File daemon at "10.123.26.222:9102". Possible causes:
Passwords or names not the same or
Maximum Concurrent Jobs exceeded on the FD or
FD networking messed up (restart daemon).
For help, please see: http://www.bacula.org/rel-manual/en/problems/Bacula_Frequently_Asked_Que.html
13-mars 17:27 bacula-dir JobId 29: Warning: Unexpected Client Job message: 2999 Authentication failed.

13-mars 17:27 bacula-dir JobId 29: Fatal error: No Job status returned from FD.
13-mars 17:27 bacula-dir JobId 29: Error: Bacula bacula-dir 9.2.1 (12Aug18):
  Build OS: x86_64-redhat-linux-gnu redhat Nine)
  JobId: 29
  Job: BackupLocalFiles.2019-03-13_17.26.55_15
  Backup Level: Full (upgraded from Incremental)
  Client: "bacula-fd" 9.2.1 (12Aug18) x86_64-redhat-linux-gnu,redhat,Nine)
  FileSet: "Full Set" 2019-03-12 17:34:21
  Pool: "File" (From Job resource)
  Catalog: "MyCatalog" (From Client resource)
  Storage: "File" (From Job resource)
  Scheduled time: 13-mars-2019 17:26:51
  Start time: 13-mars-2019 17:26:57
  End time: 13-mars-2019 17:27:02
  Elapsed time: 5 secs
  Priority: 10
  FD Files Written: 0
  SD Files Written: 0
  FD Bytes Written: 0 (0 B)
  SD Bytes Written: 0 (0 B)
  Rate: 0.0 KB/s
  Software Compression: None
  Comm Line Compression: None
  Snapshot/VSS: no
  Encryption: no
  Accurate: no
  Volume name(s):
  Volume Session Id: 7
  Volume Session Time: 1552486191
  Last Volume Bytes: 211 (211 B)
  Non-fatal FD errors: 1
  SD Errors: 0
  FD termination status: Error
  SD termination status: Waiting on FD
  Termination: *** Backup Error ***

Could someone help please?

Michael

2019-03-14 08:46

reporter   ~0001003

Good morning
Here is a problem I am facing. Yesterday I was logging in bconsole but this morning here the message I have

Director authorization problem.
Most likely the passwords do not agree.
If you are using TLS, there may have been a certificate validation error during the TLS handshake.
For help, please see http://www.bacula.org/rel-manual/en/problems/Bacula_Frequently_Asked_Que.html

Sincerely,

Michael

2019-03-15 12:19

reporter   ~0001004

Hello!
Here the message error I have when I try to connect the client to the server director
  bat: Failed to connect to bacula dir for populateLists.

May somebody help to solve this issue?
Regards,

davide

2019-03-15 13:50

manager   ~0001005

Hello Michael,

I'm out of idea, sorry.

I'd suggest to send an email to Bacula users mailing list or create a but report in Bacula Mantis (http://bugs.bacula.org/login_page.php).

This Mantis is dedicated to Bacula-Web ;)

Issue History

Date Modified Username Field Change
2019-03-06 09:47 Michael New Issue
2019-03-06 11:23 davide Assigned To => davide
2019-03-06 11:23 davide Status new => assigned
2019-03-06 11:27 davide Note Added: 0000964
2019-03-06 15:01 Michael Note Added: 0000965
2019-03-06 16:03 Michael Note Added: 0000966
2019-03-06 16:47 davide Note Added: 0000967
2019-03-06 17:41 davide Note Added: 0000968
2019-03-07 08:53 Michael Note Added: 0000969
2019-03-07 09:21 Michael Note Added: 0000970
2019-03-07 09:24 davide Note Added: 0000971
2019-03-07 09:25 davide Note Added: 0000972
2019-03-07 10:05 Michael Note Added: 0000973
2019-03-07 10:47 Michael Note Added: 0000974
2019-03-07 12:35 davide Note Added: 0000975
2019-03-07 12:37 davide Relationship added related to 0000293
2019-03-07 14:08 Michael Note Added: 0000977
2019-03-07 15:22 Michael Note Added: 0000978
2019-03-08 08:32 davide Note Added: 0000979
2019-03-09 08:32 davide Status assigned => resolved
2019-03-09 08:32 davide Resolution open => no change required
2019-03-09 08:32 davide Note Added: 0000988
2019-03-12 12:41 Michael Status resolved => feedback
2019-03-12 12:41 Michael Resolution no change required => reopened
2019-03-12 12:41 Michael Note Added: 0000996
2019-03-12 13:33 davide Note Edited: 0000996 View Revisions
2019-03-12 13:36 davide Note Edited: 0000996 View Revisions
2019-03-12 13:40 davide File Added: bacula-config.conf
2019-03-12 13:40 davide Note Added: 0000997
2019-03-12 13:42 davide Note Added: 0000998
2019-03-13 11:18 Michael Note Added: 0000999
2019-03-13 11:18 Michael Status feedback => assigned
2019-03-13 16:20 davide Note Added: 0001000
2019-03-13 16:20 davide Status assigned => feedback
2019-03-13 17:53 Michael Note Added: 0001001
2019-03-13 17:53 Michael Status feedback => assigned
2019-03-13 17:54 Michael Note Added: 0001002
2019-03-14 08:46 Michael Note Added: 0001003
2019-03-15 12:19 Michael Note Added: 0001004
2019-03-15 13:50 davide Note Added: 0001005